<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: ngtoucd Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="namespaces.html"><span>Namespace&nbsp;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ngtoucd Namespace Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#a47be0275da1bd4a4bd8eaf1122aedd7d">readmesh</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#ab91d40cc56868e5898ea2b651eba2b43">bail</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#a72ca942cd9b83f9141ba08e799d21855">initialise_file</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#a0b5d998d3962ed7f06a3e0bc3644fd65">writeln</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#aa54a263a1db4eb44f79390e7c5e3708e">stamp</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#abdec0ac167bdcd2c6c96ce8910042bce">info</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#a03bb5298219d9d9c1c867dfddc633501">writeucd</a></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacengtoucd.html#a5115ac16e5999edf3604d36bd725d1d8">VERSION</a> = &quot;0.2&quot;</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ab91d40cc56868e5898ea2b651eba2b43"></a><!-- doxytag: member="ngtoucd::bail" ref="ab91d40cc56868e5898ea2b651eba2b43" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ngtoucd::bail </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>message</em> = <code>&quot;Sorry</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>I</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>don</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>understand</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>Bailing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>out</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">A 'get-out' clause</pre></div> 
<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00133">133</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="abdec0ac167bdcd2c6c96ce8910042bce"></a><!-- doxytag: member="ngtoucd::info" ref="abdec0ac167bdcd2c6c96ce8910042bce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ngtoucd::info </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Output GPL details</pre></div> 
<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00163">163</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="a72ca942cd9b83f9141ba08e799d21855"></a><!-- doxytag: member="ngtoucd::initialise_file" ref="a72ca942cd9b83f9141ba08e799d21855" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ngtoucd::initialise_file </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>file</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Attempt to remove the file first to avoid append issues</pre></div> 
<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00138">138</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="a47be0275da1bd4a4bd8eaf1122aedd7d"></a><!-- doxytag: member="ngtoucd::readmesh" ref="a47be0275da1bd4a4bd8eaf1122aedd7d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ngtoucd::readmesh </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>filename</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">This will read the NETGEN neutral mesh 'filename' and return
points, tetrahedra and triangles</pre></div> 
<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00032">32</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="aa54a263a1db4eb44f79390e7c5e3708e"></a><!-- doxytag: member="ngtoucd::stamp" ref="aa54a263a1db4eb44f79390e7c5e3708e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ngtoucd::stamp </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Format a time and a date for stdout feedback</pre></div> 
<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00152">152</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="a0b5d998d3962ed7f06a3e0bc3644fd65"></a><!-- doxytag: member="ngtoucd::writeln" ref="a0b5d998d3962ed7f06a3e0bc3644fd65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ngtoucd::writeln </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>file</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">One-shot file line append; this keeps the code terse</pre></div> 
<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00146">146</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
<a class="anchor" id="a03bb5298219d9d9c1c867dfddc633501"></a><!-- doxytag: member="ngtoucd::writeucd" ref="a03bb5298219d9d9c1c867dfddc633501" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def ngtoucd::writeucd </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<div class="fragment"><pre class="fragment">Call readmesh to read the NETGEN mesh, then convert and write the UCD mesh</pre></div> 
<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00168">168</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a5115ac16e5999edf3604d36bd725d1d8"></a><!-- doxytag: member="ngtoucd::VERSION" ref="a5115ac16e5999edf3604d36bd725d1d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string <a class="el" href="namespacengtoucd.html#a5115ac16e5999edf3604d36bd725d1d8">ngtoucd::VERSION</a> = &quot;0.2&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="ngtoucd_8py_source.html#l00028">28</a> of file <a class="el" href="ngtoucd_8py_source.html">ngtoucd.py</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

